# Get balance data

Get stored balance data for the account associated with the payment instrument.

Endpoint: GET /people/{personId}/payment-instruments/{paymentInstrumentId}/balance
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `paymentInstrumentId` (string, required)
    The payment instrument identifier.

## Response 200 fields (application/json):

  - `message` (string)
    Description of the server action or error.

  - `status` (integer)
    HTTP status code.

  - `data` (object)

  - `data.createdAt` (any)
    The date and time when this entry was fetched from the account link.

  - `data.deletedAt` (string)

  - `data.id` (string)

  - `data.updatedAt` (string)

  - `data.availableBalanceAmount` (number)
    Indicates the balance that is available to spend net of any pending transactions. This balance should be used for insufficient funds (NSF) prevention use case.

  - `data.currency` (string)
    The currency used. Use ISO currency codes.

  - `data.currentBalanceAmount` (number)
    Indicates the current balance that does not take pending transactions into account.

  - `data.error` (object)
    If present, details of the error returned from the account link.

  - `data.error.errorCodeByVendor` (string)
    The error code as received from the vendor.

  - `data.error.errorDescriptionBorrower` (string)
    The error description as received from the vendor for presentation to the borrower.

  - `data.error.errorDescriptionInternal` (string)
    The internal error description as received from the vendor.

  - `data.error.errorType` (string)
    The error type. This describes the appropriate way to handle the error.
    Enum: "retry", "relink", "outage"

  - `data.error.errorTypeByVendor` (string)
    The error type as received from the vendor.

  - `data.lastSuccessfulBalance` (object)
    The most recent balance data from a successful check. If the most recent balance check resulted in an error, this object is populated with last successfully fetched balances, if they exist.

  - `data.lastSuccessfulBalance.availableBalanceAmount` (number)
    Indicates the balance that is available to spend net of any pending transactions. This balance should be used for insufficient funds (NSF) prevention use case.

  - `data.lastSuccessfulBalance.createdAt` (string)
    The date and time when this data was fetched from the account link.

  - `data.lastSuccessfulBalance.currency` (string)
    The currency used. Use ISO currency codes.

  - `data.lastSuccessfulBalance.currentBalanceAmount` (number)
    Indicates the current balance that does not take pending transactions into account.

